Kwai User Posts API

Get public posts from a Kwai handle or profile URL.

1 creditper request
GET
/v1/kwai/user/posts
curl "https://api.scrapecreators.com/v1/kwai/user/posts" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "data": {
    "posts": [
      {
        "id": "5193363430624671876",
        "photo_id": 5193363430624672000,
        "url": "https://www.kwai.com/@KwaiBrasilOficial/photo/5193363430624671876",
        "caption": "O Marquinhos entrou em campo e realizou o maior sonho da vida da sua avó...",
        "created_at": "2026-06-07T03:00:00.028Z",
        "created_at_text": "2026-06-07 03:00:00",
        "video_url": "https://ak-br-cdn.kwai.net/upic/example.mp4",
        "cover_url": "https://ak-br-pic.kwai.net/upic/example.webp",
        "view_count": 12345,
        "like_count": 678,
        "comment_count": 9,
        "forward_count": 10,
        "author": {
          "id": 558843093,
          "handle": "KwaiBrasilOficial",
          "username": "Kwai Brasil Oficial",
          "avatar_url": "https://ak-br-pic.kwai.net/bs2/overseaHead/20260430040305_BNTU4ODQzMDkz_s.jpg",
          "verified": true,
          "verified_description": "Conta Oficial"
        },
        "music": {
          "id": 13337080415,
          "name": "",
          "artist": "Kwai Brasil Oficial",
          "url": "https://ak-br-pic.kwai.net/bs2/ost/example.m4a"
        },
        "tags": []
      }
    ],
    "albums": [],
    "cursor": "1780704000032",
    "has_more": true
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

Kwai profile handle. Use this or url.

Example:
KwaiBrasilOficial
url
string

Kwai profile URL. Use this or handle.

Example:
https://www.kwai.com/@KwaiBrasilOficial
cursor
string

Cursor from the previous response for the next page

Example:
1780704000032
count
number

Number of posts to return, max 50

Example:
20